blobbybobby

Do you need the latest version of iOS to use iTunes?

Will iTunes force me to upgrade to iOS 5 to continue using it?

Add a comment
2 comments

matt101101 / MOD  Feb. 13, 2012 at 12:22

It doesn't force you to upgrade, AKAIK.

JanSt / MOD  Feb. 13, 2012 at 12:42

Matt's right. But sometimes you will need to upgrade to the latest version of iTunes for everything to work smoothly.

Email:

You don't need an account to comment. Just enter your email address. We'll keep it private.

Comment: